Pular para o conteúdo principal
POST
/
api
/
v1
/
calendars
/
{calendar_id}
/
members
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "user_id": "user-uuid-2", "role": "editor" }'
{
  "success": true,
  "data": {
    "id": "member-uuid-2",
    "user_id": "user-uuid-2",
    "role": "editor"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Adicionar Membro ao Calendário

Conceder acesso de um usuário a um calendário com uma função específica.

Endpoint

POST /api/v1/calendars/{calendar_id}/members

Parâmetros de Caminho

calendar_id
string
obrigatório
UUID do calendário.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer para autenticação. Formato: Bearer talq_your_environment_token_here
Content-Type
string
obrigatório
Deve ser application/json.

Corpo da Requisição

user_id
string
obrigatório
UUID do usuário a adicionar.
role
string
obrigatório
Função do membro. Opções: owner, editor, viewer.

Exemplos

curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "user_id": "user-uuid-2", "role": "editor" }'

Resposta

{
  "success": true,
  "data": {
    "id": "member-uuid-2",
    "user_id": "user-uuid-2",
    "role": "editor"
  }
}